/*
 * nor.h
 *
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef NOR_H_
#define NOR_H_

#include "tdefs.h"

struct nor_logic
{
	u8 *out_ptr;
	u8 out_bit_no;

	u8 *in1_ptr;
	u8 in1_bit_no;

	u8 *in2_ptr;
	u8 in2_bit_no;
};

struct nor_io
{
	u32 in1;
	u32 in2;
	u32 out;
}__attribute__((__packed__));

struct nor_params
{
}__attribute__((__packed__));

struct nor_args
{
	struct nor_io io;
	struct nor_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void nor(void *args, void *logic);
extern int nor_initlog(void *args, void *logic);

#endif /* NOR_H_ */
